- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Condition Class Reference

List of all members.

## Detailed Description

This class provides a means for one thread to suspend exception until notified by another thread to resume.

This class should have similar semantics to java.util.concurrent.locks.Condition.

## Public Member Functions
| Condition (log4cxx::helpers::Pool &p)
| Create new instance.
| ~Condition ()
| Destructor.
log4cxx_status_t | signalAll ()
| Signal all waiting threads.
void | await (Mutex &lock)
| Await signaling of condition.

## Constructor & Destructor Documentation

Condition | ( | log4cxx::helpers::Pool & | p | ) |

  | Create new instance. Parameters:
  | p | pool on which condition will be created. Needs to be longer-lived than created instance.

~Condition | ( |  | ) |

| Destructor.

## Member Function Documentation

void await | ( | Mutex & | lock | ) |

  | Await signaling of condition. Parameters:
  | lock | lock associated with condition, calling thread must own lock. Lock will be released while waiting and reacquired before returning from wait.
  Exceptions:
  | InterruptedException | if thread is interrupted.

log4cxx_status_t signalAll | ( |  | ) |

| Signal all waiting threads.

The documentation for this class was generated from the following file:

- condition.h